Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PublicObjectCapabilities

    java.lang.Object
      oracle.ifs.beans.PublicObjectCapabilities

Direct Known Subclasses:
  TiePublicObjectCapabilities

    public class PublicObjectCapabilities

extends java.lang.Object

Tracks all capabilities that can be restricted, by access control, locking, configuration, or by object type.

Subclasses of PublicObject that require further capability restriction based on object type should extend this class, override the capability method that must be restricted, and then override the `PublicObject.capabilities` method to return the subclass.

Constructor Summary
`PublicObjectCapabilities(PublicObject object)` Constructs a new PublicObjectCapabilities instance.

Method Summary
`boolean` | `ADDITEM()` Performs additional capability check for the ADDITEM permission.
`boolean` | `ADDVERSION()` Performs additional capability check for the ADDVERSION permission.
`boolean` | `ADMINISTER_CATEGORY()` Performs additional capability check for the ADMINISTER_CATEGORY permission.
`boolean` | `ADMINISTER_CONFIGURATION()` Performs additional capability check for the ADMINISTER_CONFIGURATION permission.
`boolean` | `ADMINISTER_CONTAINER()` Performs additional capability check for the ADMINISTER_CONTAINER permission.
`boolean` | `ADMINISTER_DOMAIN()` Performs additional capability check for the ADMINISTER_DOMIN permission.
`boolean` | `ADMINISTER_LOCK()` Performs additional capability check for the ADMINISTER_LOCK permission.
`boolean` | `ADMINISTER_QUOTA()` Performs additional capability check for the ADMINISTER_QUOTA permission.
`boolean` | `ADMINISTER_RECORD()` Performs additional capability check for the ADMINISTER_RECORD permission.
`boolean` | `ADMINISTER_ROLE()` Performs additional capability check for the ADMINISTER_ROLE permission.
`boolean` | `ADMINISTER_SECURITY()` Performs additional capability check for the ADMINISTER_SECURITY permission.
`boolean` | `ADMINISTER_USER()` Performs additional capability check for the ADMINISTER_USER permission.
`boolean` | `ADMINISTER_WORKSPACE()` Performs additional capability check for the ADMINISTER_WORKSPACE permission.
`boolean` | `checkCapabilities(AccessLevel capabilities)` Checks if every capability specified by the given AccessLevel is enabled.
`boolean` | `checkCapability(long capability)` Checks if the given capability is enabled.
`boolean` | `checkEffectiveAccess(AccessLevel capabilities)` Checks if the encapsulated object has the access specified in the given AccessLevel.
`boolean` | `checkEffectiveAccess(DirectoryObject grantee, AccessLevel capabilities)` Checks if the encapsulated object has the access specified for the specified grantee in the given AccessLevel.
`boolean` | `COPY()` Performs additional capability check for the COPY permission.
`boolean` | `CREATECONTAINER()` Performs additional capability check for the CREATECONTAINER permission.
`boolean` | `CREATEFOLDER()` Performs additional capability check for the CREATEFOLDER permission.
`boolean` | `CREATEWORKSPACE()` Performs additional capability check for the CREATEWORKSPACE permission.
`boolean` | `DELETE()` Performs additional capability check for the DELETE permission.
`boolean` | `DISCOVER()` Performs additional capability check for the DISCOVER permission.
`boolean` | `GET_CONTENT()` Performs additional capability check for the GET_CONTENT permission.
`boolean` | `GETAUDITHISTORY()` Performs additional capability check for the GETAUDITHISTORY permission.
`AccessLevel` | `getCapabilities()` Returns the set of enabled capabilities.
`boolean` | `GETMETADATA()` Performs additional capability check for the GETMETADATA permission.
`boolean` | `GETRELATION()` Performs additional capability check for the GETRELATION permission.
`protected PublicObject` | `getTrackedObject()` Returns the object being tracked.
`boolean` | `LOCK()` Performs additional capability check for the LOCK permission.
`boolean` | `MOVE()` Performs additional capability check for the MOVE permission.
`boolean` | `SET_ATTR()` Performs additional capability check for the SET_ATTR permission.
`boolean` | `SET_CONTENT()` Performs additional capability check for the SET_CONTENT permission.
`boolean` | `SETMETADATA()` Performs additional capability check for the SETMETADATA permission.
`boolean` | `SETRELATION()` Performs additional capability check for the SETRELATION permission.
`void` | `verifyCapabilities(AccessLevel capabilities)` Verifies that every capability specified by the given AccessLevel is enabled; throws an exception if any of the capabilities are not enabled.
`void` | `verifyCapability(long capability)` Verifies that the given capability is enabled; throws an exception if the capability is not enabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicObjectCapabilities

    public PublicObjectCapabilities(PublicObject object)

  Constructs a new PublicObjectCapabilities instance.

  Parameters:
    `object` - the PublicObject for which capabilities are tracked.

Method Detail

### getTrackedObject

    protected PublicObject getTrackedObject()

  Description copied from class: `PublicObjectCapabilities`
  Returns the object being tracked.

  Returns:
    the object used to construct this instance

### checkCapability

    public final boolean checkCapability(long capability)
                                  throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Checks if the given capability is enabled.

  This method checks:

  1. access (permission)
  2. lock restriction
  3. object type
  4. configuration state

  Parameters:
    `capability` - the capability to test.
  Returns:
    true if the given capability is enabled.
  Throws:
    `IfsException` -
    90002: if an error occurs invoking the specific capability check method
    other: if the operation otherwise fails

### verifyCapability

    public final void verifyCapability(long capability)
                                throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Verifies that the given capability is enabled; throws an exception if the capability is not enabled.

  This method verifies:

  1. access (permission)
  2. lock restriction
  3. object type
  4. configuration state

  Parameters:
    `capability` - the capability to verify.
  Throws:
    `IfsException` -
    90400: if the capability is not enabled because of insufficient access (permissions)
    90700: if the capability is not enabled because of a lock restriction
    90703: if the capability is not enabled because of the object type or its configuration
    90002: if an error occurs invoking the specific capability check method
    other: if the operation otherwise fails

### checkCapabilities

    public final boolean checkCapabilities(AccessLevel capabilities)
                                    throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Checks if every capability specified by the given AccessLevel is enabled.

  This method checks:

  1. access (permission)
  2. lock restriction
  3. object type
  4. configuration state

  Parameters:
    `capabilities` - the set of capabilities (an AccessLevel) to test.
  Returns:
    true if all of the given capabilities are enabled.
  Throws:
    `IfsException` -
    90002: if an error occurs invoking a specific capability check method
    other: if the operation otherwise fails

### verifyCapabilities

    public final void verifyCapabilities(AccessLevel capabilities)
                                  throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Verifies that every capability specified by the given AccessLevel is enabled; throws an exception if any of the capabilities are not enabled.

  This method verifies:

  1. access (permission)
  2. lock restriction
  3. object type
  4. configuration state

  Parameters:
    `capabilities` - the set of capabilities (an AccessLevel) to verify.
  Throws:
    `IfsException` -
    90400: if the capability is not enabled because of insufficient access (permissions)
    90700: if the capability is not enabled because of a lock restriction
    90703: if the capability is not enabled because of the object type or its configuration
    90002: if an error occurs invoking a specific capability check method
    other: if the operation fails

### getCapabilities

    public final AccessLevel getCapabilities()
                                      throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Returns the set of enabled capabilities.

  To determine the set of enabled capabilities, this method checks:

  1. access (permission)
  2. lock restriction
  3. object type
  4. configuration state

  Returns:
    an AccessLevel specifying the set of enabled capabilities.
  Throws:
    `IfsException` -
    90002: if the specific capability check method could not be invoked
    other: if the operation otherwise fails

### checkEffectiveAccess

    public boolean checkEffectiveAccess(AccessLevel capabilities)
                                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Checks if the encapsulated object has the access specified in the given AccessLevel.

  Parameters:
    `capabilities` - the set of capabilities (an AccessLevel) to test.
  Returns:
    true if all of the given capabilities are allowed
  Throws:
    `IfsException` - if the operation fails

### checkEffectiveAccess

    public boolean checkEffectiveAccess(DirectoryObject grantee,
                                        AccessLevel capabilities)
                                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Checks if the encapsulated object has the access specified for the specified grantee in the given AccessLevel.

  Parameters:
    `grantee` - the user or group to check
    `capabilities` - the set of capabilities (an AccessLevel) to test.
  Returns:
    true if all of the given capabilities are allowed
  Throws:
    `IfsException` - if the operation fails

### DISCOVER

    public boolean DISCOVER()
                     throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the DISCOVER permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### SET_ATTR

    public boolean SET_ATTR()
                     throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SET_ATTR permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### GET_CONTENT

    public boolean GET_CONTENT()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the GET_CONTENT permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### SET_CONTENT

    public boolean SET_CONTENT()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SET_CONTENT permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### DELETE

    public boolean DELETE()
                   throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the DELETE permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### LOCK

    public boolean LOCK()
                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the LOCK permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADDITEM

    public boolean ADDITEM()
                    throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADDITEM permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### CREATEFOLDER

    public boolean CREATEFOLDER()
                         throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the CREATEFOLDER permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADDVERSION

    public boolean ADDVERSION()
                       throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADDVERSION permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_DOMAIN

    public boolean ADMINISTER_DOMAIN()
                              throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_DOMIN permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_LOCK

    public boolean ADMINISTER_LOCK()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_LOCK permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_USER

    public boolean ADMINISTER_USER()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_USER permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_CATEGORY

    public boolean ADMINISTER_CATEGORY()
                                throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_CATEGORY permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_RECORD

    public boolean ADMINISTER_RECORD()
                              throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_RECORD permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_ROLE

    public boolean ADMINISTER_ROLE()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_ROLE permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_CONTAINER

    public boolean ADMINISTER_CONTAINER()
                                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_CONTAINER permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_QUOTA

    public boolean ADMINISTER_QUOTA()
                             throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_QUOTA permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_WORKSPACE

    public boolean ADMINISTER_WORKSPACE()
                                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_WORKSPACE permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_SECURITY

    public boolean ADMINISTER_SECURITY()
                                throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_SECURITY permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_CONFIGURATION

    public boolean ADMINISTER_CONFIGURATION()
                                     throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_CONFIGURATION permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### CREATEWORKSPACE

    public boolean CREATEWORKSPACE()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the CREATEWORKSPACE permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### CREATECONTAINER

    public boolean CREATECONTAINER()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the CREATECONTAINER permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### MOVE

    public boolean MOVE()
                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the MOVE permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### GETMETADATA

    public boolean GETMETADATA()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the GETMETADATA permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### GETAUDITHISTORY

    public boolean GETAUDITHISTORY()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the GETAUDITHISTORY permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### GETRELATION

    public boolean GETRELATION()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the GETRELATION permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### SETMETADATA

    public boolean SETMETADATA()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SETMETADATA permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### SETRELATION

    public boolean SETRELATION()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SETRELATION permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### COPY

    public boolean COPY()
                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the COPY permission.

  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD